Skip to content

Update FHIR r4 consent

Request

Security
bearer or bearer
Path
siteIdstringrequired

Site identifier

idstringrequired

ID of the Consent to update

Bodyapplication/jsonrequired
resourceTypeanyrequired

This is a Consent resource

Value:"Consent"
Example:"Consent"
idstring(id)^[A-Za-z0-9\-\.]{1,64}$

The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

Example:"example-id"
metaobject(Meta)

The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.

implicitRulesstring(uri)^\S*$

A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.

Example:"https://example.org/resource"
_implicitRulesobject(Element)

Extensions for implicitRules

languagestring(code)^[^\s]+(\s[^\s]+)*$

The base language in which the resource is written.

Example:"sample-code"
_languageobject(Element)

Extensions for language

textobject(Narrative)

A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.

Example:
{ "status": "generated", "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">\n\t\t\t<p>\n\tAuthorize Normal access for Treatment\n\t\t\t</p>\n\t\t\t<p>\n Patient &quot;P. van de Heuvel&quot; wishes to have all of the PHI collected at the Good Health Psychiatric Hospital \n available for normal treatment use.\n\t\t\t</p>\n\t\t</div>" }
containedArray of any(ResourceList)

These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.

extensionArray of objects(Extension)

May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

modifierExtensionArray of objects(Extension)

May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.

Modifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).

identifierArray of objects(Identifier)

Unique identifier for this copy of the Consent Statement.

statusany

Indicates the current state of this consent.

Enum:"draft""proposed""active""rejected""inactive""entered-in-error"
Example:"draft"
_statusobject(Element)

Extensions for status

scopeobject(CodeableConcept)required

A selector of the type of consent being presented: ADR, Privacy, Treatment, Research. This list is now extensible.

Example:
{ "coding": [ { … } ] }
categoryArray of objects(CodeableConcept)required

A classification of the type of consents found in the statement. This element supports indexing and retrieval of consent statements.

Example:
[ { "coding": [ … ] } ]
patientobject(Reference)

The patient/healthcare consumer to whom this consent applies.

Example:
{ "reference": "Patient/f001", "display": "P. van de Heuvel" }
dateTimestring, (date-time)(dateTime)^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-...

When this Consent was issued / created / indexed.

Example:"2024-01-01T00:00:00Z"
_dateTimeobject(Element)

Extensions for dateTime

performerArray of objects(Reference)

Either the Grantor, which is the entity responsible for granting the rights listed in a Consent Directive or the Grantee, which is the entity responsible for complying with the Consent Directive, including any obligations or limitations on authorizations and enforcement of prohibitions.

organizationArray of objects(Reference)

The organization that manages the consent, and the framework within which it is executed.

Example:
[ { "reference": "Organization/f001" } ]
sourceAttachmentobject(Attachment)

The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document.

Example:
{ "title": "The terms of the consent in lawyer speak." }
sourceReferenceobject(Reference)

The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document.

policyArray of objects(Consent_Policy)

The references to the policies that are included in this consent scope. Policies may be organizational, but are often defined jurisdictionally, or in law.

policyRuleobject(CodeableConcept)

A reference to the specific base computable regulation or policy.

Example:
{ "coding": [ { … } ] }
verificationArray of objects(Consent_Verification)

Whether a treatment instruction (e.g. artificial respiration yes or no) was verified with the patient, his/her family or another authorized person.

provisionobject(Consent_Provision)

An exception to the base policy of this consent. An exception can be an addition or removal of access permissions.

Example:
{ "period": { "start": "1964-01-01", "end": "2016-01-01" } }
curl -i -X PUT \
  'https://docs.axiomera.com/_mock/apis/fhir/openapi/site/{siteId}/fhir/consent/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "resourceType": "Consent",
    "id": "consent-example-basic",
    "text": {
      "status": "generated",
      "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">\n\t\t\t<p>\n\tAuthorize Normal access for Treatment\n\t\t\t</p>\n\t\t\t<p>\n    Patient &quot;P. van de Heuvel&quot; wishes to have all of the PHI collected at the Good Health Psychiatric Hospital \n   available for normal treatment use.\n\t\t\t</p>\n\t\t</div>"
    },
    "status": "active",
    "scope": {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/consentscope",
          "code": "patient-privacy"
        }
      ]
    },
    "category": [
      {
        "coding": [
          {
            "system": "http://loinc.org",
            "code": "59284-0"
          }
        ]
      }
    ],
    "patient": {
      "reference": "Patient/f001",
      "display": "P. van de Heuvel"
    },
    "dateTime": "2016-05-11",
    "organization": [
      {
        "reference": "Organization/f001"
      }
    ],
    "sourceAttachment": {
      "title": "The terms of the consent in lawyer speak."
    },
    "policyRule": {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
          "code": "OPTIN"
        }
      ]
    },
    "provision": {
      "period": {
        "start": "1964-01-01",
        "end": "2016-01-01"
      }
    }
  }'

Responses

Bodyapplication/json
resourceTypeanyrequired

This is a Consent resource

Value:"Consent"
Example:"Consent"
idstring(id)^[A-Za-z0-9\-\.]{1,64}$

The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

Example:"example-id"
metaobject(Meta)

The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.

implicitRulesstring(uri)^\S*$

A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.

Example:"https://example.org/resource"
_implicitRulesobject(Element)

Extensions for implicitRules

languagestring(code)^[^\s]+(\s[^\s]+)*$

The base language in which the resource is written.

Example:"sample-code"
_languageobject(Element)

Extensions for language

textobject(Narrative)

A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.

Example:
{ "status": "generated", "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">\n\t\t\t<p>\n\tAuthorize Normal access for Treatment\n\t\t\t</p>\n\t\t\t<p>\n Patient &quot;P. van de Heuvel&quot; wishes to have all of the PHI collected at the Good Health Psychiatric Hospital \n available for normal treatment use.\n\t\t\t</p>\n\t\t</div>" }
containedArray of any(ResourceList)

These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.

extensionArray of objects(Extension)

May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

modifierExtensionArray of objects(Extension)

May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.

Modifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).

identifierArray of objects(Identifier)

Unique identifier for this copy of the Consent Statement.

statusany

Indicates the current state of this consent.

Enum:"draft""proposed""active""rejected""inactive""entered-in-error"
Example:"draft"
_statusobject(Element)

Extensions for status

scopeobject(CodeableConcept)required

A selector of the type of consent being presented: ADR, Privacy, Treatment, Research. This list is now extensible.

Example:
{ "coding": [ { … } ] }
categoryArray of objects(CodeableConcept)required

A classification of the type of consents found in the statement. This element supports indexing and retrieval of consent statements.

Example:
[ { "coding": [ … ] } ]
patientobject(Reference)

The patient/healthcare consumer to whom this consent applies.

Example:
{ "reference": "Patient/f001", "display": "P. van de Heuvel" }
dateTimestring, (date-time)(dateTime)^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-...

When this Consent was issued / created / indexed.

Example:"2024-01-01T00:00:00Z"
_dateTimeobject(Element)

Extensions for dateTime

performerArray of objects(Reference)

Either the Grantor, which is the entity responsible for granting the rights listed in a Consent Directive or the Grantee, which is the entity responsible for complying with the Consent Directive, including any obligations or limitations on authorizations and enforcement of prohibitions.

organizationArray of objects(Reference)

The organization that manages the consent, and the framework within which it is executed.

Example:
[ { "reference": "Organization/f001" } ]
sourceAttachmentobject(Attachment)

The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document.

Example:
{ "title": "The terms of the consent in lawyer speak." }
sourceReferenceobject(Reference)

The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document.

policyArray of objects(Consent_Policy)

The references to the policies that are included in this consent scope. Policies may be organizational, but are often defined jurisdictionally, or in law.

policyRuleobject(CodeableConcept)

A reference to the specific base computable regulation or policy.

Example:
{ "coding": [ { … } ] }
verificationArray of objects(Consent_Verification)

Whether a treatment instruction (e.g. artificial respiration yes or no) was verified with the patient, his/her family or another authorized person.

provisionobject(Consent_Provision)

An exception to the base policy of this consent. An exception can be an addition or removal of access permissions.

Example:
{ "period": { "start": "1964-01-01", "end": "2016-01-01" } }
Response
{ "resourceType": "Consent", "id": "consent-example-basic", "text": { "status": "generated", "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">\n\t\t\t<p>\n\tAuthorize Normal access for Treatment\n\t\t\t</p>\n\t\t\t<p>\n Patient &quot;P. van de Heuvel&quot; wishes to have all of the PHI collected at the Good Health Psychiatric Hospital \n available for normal treatment use.\n\t\t\t</p>\n\t\t</div>" }, "status": "active", "scope": { "coding": [ … ] }, "category": [ { … } ], "patient": { "reference": "Patient/f001", "display": "P. van de Heuvel" }, "dateTime": "2016-05-11", "organization": [ { … } ], "sourceAttachment": { "title": "The terms of the consent in lawyer speak." }, "policyRule": { "coding": [ … ] }, "provision": { "period": { … } } }